class Distributeur{ 
	private Produit listeProduit[]; 
	private int dernierProduit;
	//Constructeur privé emeche d'en fair un vide
	private Distributeur(){
	}
	public Distributeur(int n){
		listeProduit=new Produit[n];//creation du tableau
		dernierProduit=-1;
	}
	public boolean loadProduit(Produit p){
		if (dernierProduit<listeProduit.length-1){//si pas plin on charge
			listeProduit[++dernierProduit]=p;
			return true;
		}else
			return false;
	}
	public boolean isFull(){//renvoi true si il est plein et false sinon
		return dernierProduit>=listeProduit.length-1;
	}
	public Produit getProduit(){ //recupere un produit si il peut
		Produit retour=null;
		if(dernierProduit>=0)
			retour=listeProduit[dernierProduit--];
		return retour;
	} 
	
} 

