import java.util.Random;
class Main{
	public static void main(String args[]){
		Produit produit;
		Distributeur distributeur=null;
		int n=-1;
		do{
		//Demandons la taille du distributeur
			try{
				System.out.print("Entrez la taille du distributeur : ");
				n=Tools.litInt();
				if (n<1)
					System.out.println("Mauvaise taille");
			}catch(Exception e){
				System.out.println(e);
			}
		}while(n<1);
		System.out.println("Quel type de distributeur voulez vous brancher ?");
		System.out.println("1. Classique");
		System.out.println("2. Refrigere");
		try{//Quel type de distributeur
			switch(Tools.litInt()){
				case 1: 
					distributeur=new Distributeur(n);
					break;
				case 2: 
					distributeur=new DistributeurRefrigere(n);
					break;
				default:
					System.exit(0);
			}
		}catch(Exception e){
			System.exit(0);
		}
		do{//Faisons le menu
			try{
				System.out.println();
				System.out.println("== Menu ==");
				System.out.println("1. Remplir le distributeur");
				System.out.println("2. Prendre un produit");
				System.out.println("0. Quitter");
				System.out.println();
				switch(Tools.litInt()){
					case 0:
						System.exit(0);
					case 1:
						remplir(distributeur);
						break;
					case 2: 
						prendre(distributeur);

				}
			}catch(Exception e){
				System.out.println(e);
			}
		}while(true);
			
	}
	private static void remplir(Distributeur d){
		Produit p;
		Random r=new Random();
		do{
			try{
				if (d.isFull()){
					System.out.println("Distributeur plein !");
				}else{

					System.out.println();
					System.out.println("== Remplir le distributeur ==");
					System.out.println("1. Remplissage automatique");
					System.out.println("2. Mettre une cannette");
					System.out.println("3. Mettre une friandise");
					System.out.println("0. Revenir");
					System.out.println();
					switch(Tools.litInt()){
						case 0: //on revien
							return;
						case 1://on rempli automatiquement
							while(!d.isFull()){
								if(r.nextBoolean())//twix ou coca aleatoirement
									d.loadProduit(new Canette("Cocacola"));
								else 
									d.loadProduit(new Friandise("Twix"));
							}
							break;

						case 2:
							System.out.println("Entrez le nom de la cannette");
							d.loadProduit(new Canette(Tools.litString()));
							break;

						case 3:
							System.out.println("Entrez le nom de la Friandise");
							d.loadProduit(new Friandise(Tools.litString()));
							break;
					}
				}
			}catch(Exception e){
				System.out.println(e);
			}
		}while(!d.isFull());//tant que le distributeur est pas plein

	}
	private static void prendre(Distributeur d){//on recupere des produits
		Produit produit;
		System.out.println("Demande d'un produit");
		produit=d.getProduit();
		if (produit!=null){
			System.out.println(produit+" obtenu");
			if(produit instanceof Canette)
				if (((Canette)produit).isFresh())
					System.out.println("ca fait du bien de boire une canette de "+produit+" bien fraiche");
				else
					System.out.println("beurk");
			else
				System.out.println("Miam !");
		}else{
			System.out.println("Distributeur Vide");
		}
	
	}
		
}
